.rightint-case-list{
  padding: 70px 0;
}

.rightint-case-list .app-list h3 {
  font-size: 40px;
  color: #212121;
  font-weight: 700;
  line-height: 1;
  position: relative;
  z-index: 20;
}
.rightint-case-list .app-list h3::after {
  display: block;
  content: '';
  width: 80px;
  height: 2px;
  background: var(--color-primary);
  margin:15px auto 0 0;
}

.rightint-case-list .app-list>p {
  margin: 40px 0 0;
  line-height: 36px;
  font-size: 17px;
  color: #666;
}

.rightint-case-list .app-list ul {
  margin: 37px -20px 0;
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
}

.rightint-case-list .app-list ul li {
  width: 33.3333%;
  padding: 15px 20px;
}

.rightint-case-list .app-list ul li>a {
  position: relative;
  overflow: hidden;
  display: block;
}

.rightint-case-list .app-list ul li img {
  display: block;
  width: 100%;
  aspect-ratio: 1/ 1;
  object-fit: cover;
}

.rightint-case-list .app-list ul li .txt {
  position: absolute;
  left: 0;
  top: 0;
  right: 0;
  bottom: 0;
  width: 100%;
  z-index: 105;
  padding: 0 34px 29px;
  transition: opacity 0.2s, transform 0.35s;
  display: flex;
  justify-content: flex-end;
  -webkit-flex-direction: column;
  flex-direction: column;
}

.rightint-case-list .app-list ul li .txt::after {
  content: "";
  background: var(--color-primary);
  opacity: 0.85;
  height: 0;
  position: absolute;
  left: 0;
  right: 0;
  bottom: 0;
  transition: all 0.3s ease 0s;
}

.rightint-case-list .app-list ul li .txt>* {
  position: relative;
  z-index: 10;
}

.rightint-case-list .app-list ul li .txt h6 {
  font-size: 20px;
  font-weight: 700;
  color: #ed0909;
  line-height: 1;
}

.rightint-case-list .app-list ul li .txt p {
  font-size: 15px;
  color: #fff;
  line-height: 28px;
  height: 0;
  overflow: hidden;
  transition: all 0.5s ease 0s;
  margin: 15px 0 0;
}

.rightint-case-list .app-list ul li .txt .more {
  display: inline-block;
  font-size: 14px;
  font-weight: 500;
  color: #fff;
  margin: 25px 0 0;
}

.rightint-case-list .app-list ul li .txt .more i {
  color: #fff;
  font-size: 12px;
  border-radius: 50%;
  width: 26px;
  height: 26px;
  border: 1px solid #fff;
  line-height: 24px;
  display: inline-block;
  text-align: center;
  margin-right: 20px;
}

@media screen and (min-width:768px) {
.rightint-case-list .app-list ul li:hover .txt::after {
  height: 100%;
}

.rightint-case-list .app-list ul li:hover .txt p {
  height: 160px;
}

.rightint-case-list .app-list ul li:hover .more i {
  background: #FAFBFB;
  color: var(--color-primary);
  border-color: #FAFBFB;
}
}


@media screen and (max-width:1441px) {
.rightint-case-list .app-list h3{font-size:38px;}
}

@media screen and (max-width:1367px) {
.rightint-case-list .app-list h3{font-size:36px;}
}

@media screen and (max-width:1280px) {
.rightint-case-list .app-list h3{font-size:34px;}
}

@media screen and (max-width: 992px) {
.rightint-case-list .app-list h3{font-size:32px;}
  .rightint-case-list .app-list ul li .txt .more {
    display: none;
  }
}

@media screen and (max-width:768px) {

.rightint-case-list{padding:30px 0;}
.rightint-case-list .app-list h3{font-size:30px;text-align:center;}
.rightint-case-list .app-list h3::after{margin:15px auto 0;}

  .rightint-case-list.app-list h1 {
    text-align: center;
  }


  .rightint-case-list .app-list h1::after {
    margin: 15px auto 0;
  }

  .rightint-case-list .app-list ul {
    margin: 20px -10px 0;
  }

.rightint-case-list .app-list ul li{padding:10px;width:50%;}
.rightint-case-list .app-list ul li .txt{padding:0 15px 15px;}
.rightint-case-list .app-list ul li .txt p{display:none;}
.rightint-case-list .app-list ul li .txt h6{font-size:18px;}

}

@media screen and (max-width:576px) {
.rightint-case-list .app-list h3{font-size:28px;}
}

@media screen and (max-width:480px) {
.rightint-case-list .app-list h3{font-size:26px;}
  .rightint-case-list .app-list ul {
    margin: 14px 0 0;
  }

  .rightint-case-list .app-list ul li {
    padding: 6px 0;
    width: 100%;
  }
}

@media screen and (max-width:420px) {
.rightint-case-list .app-list h3{font-size:24px;}
}




